Package org.apache.datasketches.hive.tuple

## Class DataToDoubleSummaryWithModeSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.tuple.DataToSketchUDAF
    - - org.apache.datasketches.hive.tuple.DataToDoubleSummaryWithModeSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class DataToDoubleSummaryWithModeSketchUDAF
    extends DataToSketchUDAF

This is an example of a concrete UDAF based on the abstract DataToSketchUDAF if extra arguments are needed. For a simpler example with no extra arguments see DataToDoubleSummarySketchUDAF.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.datasketches.hive.tuple.DataToSketchUDAF

`DataToSketchUDAF.DataToSketchEvaluator<U,​S extends org.apache.datasketches.tuple.UpdatableSummary<U>>`

### Constructor Summary

Constructors
`DataToDoubleSummaryWithModeSketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)` Override this if your UDF has more arguments
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()` This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToDoubleSummaryWithModeSketchUDAF

    public DataToDoubleSummaryWithModeSketchUDAF()

### Method Detail

#### getEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)
                                                                            throws org.apache.hadoop.hive.ql.parse.SemanticException

Specified by:
  `getEvaluator` in interface `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`
Overrides:
  `getEvaluator` in class `DataToSketchUDAF`
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException`

#### createEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

Description copied from class: `DataToSketchUDAF`
This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

Specified by:
  `createEvaluator` in class `DataToSketchUDAF`
Returns:
  an instance of evaluator

#### checkExtraArguments

    protected void checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)
                                throws org.apache.hadoop.hive.ql.parse.SemanticException

Description copied from class: `DataToSketchUDAF`
Override this if your UDF has more arguments

Overrides:
  `checkExtraArguments` in class `DataToSketchUDAF`
Parameters:
  `inspectors` - array of inspectors
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException` - if anything is wrong